## org.eclipse.datatools.sqltools.editor.core.connection
Interface IConnectionInitializer

    public interface IConnectionInitializer

As we are using connection pool and some configurations of the pooled connection may have been changed during last session, we should reset them into the default status everytime a connection is retrieved from the pool.

Author:
  Hui Cao

Method Summary
`void` `init(DatabaseIdentifier databaseIdentifier, java.sql.Connection conn)` Uses the global options to initialize the connection
`void` `init(DatabaseIdentifier databaseIdentifier, java.sql.Connection conn, ILaunchConfiguration configuration)` Uses the given launch configuration to initialize the connection.
`void` `revert(DatabaseIdentifier databaseIdentifier, java.sql.Connection conn)` Reverts to database default options when put back the connection to the connection pool.

Method Detail

### init

    void init(DatabaseIdentifier databaseIdentifier,
              java.sql.Connection conn)

  Uses the global options to initialize the connection

### init

    void init(DatabaseIdentifier databaseIdentifier,
              java.sql.Connection conn,
              ILaunchConfiguration configuration)

  Uses the given launch configuration to initialize the connection. If the given launch configuration use default(global) options in preference store, then will delegate to init(String profileName, Connection conn)

  Parameters:
    `databaseIdentifier` -
    `conn` - the connection object
    `configuration` -

### revert

    void revert(DatabaseIdentifier databaseIdentifier,
                java.sql.Connection conn)

  Reverts to database default options when put back the connection to the connection pool.

  Parameters:
    `databaseIdentifier` -
    `conn` - the connection object

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.